{
	"name": "form/nc/nc-bank/convert/vat-payment-definition-fi.json",
	"file_name": "V_{{yyyymmdd_hhMMss}}_VEROOAVV_001.txt",
	"record_separator": "\r\n",
	"remove_double_space": true,
	"char_map": [
		{ "from": "{", "to": "ä" },
		{ "from": "[", "to": "Ä" },
		{ "from": "|", "to": "ö" },
		{ "from": "\\", "to": "Ö" },
		{ "from": "]", "to": "Å" }
	],
	"definition": {
		"VSRALVKV": {
			"info": "ARVONLISÄVERON TIEDOT",
			"key_value_separator": ":",
			"field": [
				{
					"export_id": "000",
					"field": "record_type",
					"field_length": 1,
					"data_type": "number",
					"info": "Tietuetunnus"
				},
				{
					"export_id": "198",
					"field": "account",
					"field_length": 14,
					"data_type": "date",
					"format": "PPKKVVVVHHMMSS",
					"info": "Ohjelmiston tuottama aikaleima"
				},
				{
					"export_id": "014",
					"field": "entry_date",
					"field_length": 10,
					"info": "Y-TUNNUS_AN2 ilmoituksen tuottaneen ohjelmiston yksilöivä tieto."
				},
				{
					"export_id": "048",
					"field": "payment_date",
					"field_length": 6,
					"data_type": "date",
					"format": "YYMMDD"
				},
				{
					"export_id": "049",
					"field": "archive_id",
					"field_length": 16,
					"data_type": "alpha",
					"info": "Vastaanottavan palvelun muodostama sanomatunniste, joka yksilöi sanoman, välityspalvelu täyttää"
				},
				{
					"export_id": "010",
					"field": "reference",
					"field_length": 20,
					"data_type": "alpha"
				},
				{
					"export_id": "050",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha",
					"must_equal": {
						"A": "asiakkaalta",
						"J": "pankin rekisteristä tilinumeron perusteella",
						"K": "pankin konttorissa näppäilty"
					}
				},
				{
					"export_id": "052",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "053",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "056",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "301",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "302",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "303",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "304",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "305",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "306",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "307",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "308",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "310",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "311",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "312",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "313",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "314",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "315",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "316",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "317",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "336",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "337",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "318",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "319",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "320",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "332",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "333",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "334",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "335",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "042",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				},
				{
					"export_id": "999",
					"field": "customer",
					"field_length": 12,
					"data_type": "alpha"
				}
			]
		}
	}
}
